Bug 268072 - kdesrc-build from git repository cant locate object method "setPhases"
Summary: kdesrc-build from git repository cant locate object method "setPhases"
Status: RESOLVED FIXED
Alias: None
Product: kdesrc-build
Classification: Unclassified
Component: general (show other bugs)
Version: Git
Platform: Debian unstable Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Michael Pyne
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-09 17:48 UTC by Fred Jackson
Modified: 2011-03-10 05:42 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fred Jackson 2011-03-09 17:48:55 UTC
Version:           git (using KDE 4.4.5) 
OS:                Linux

straight from the git repository on 3/9/2011: The error reported was Can't locate object method "setPhases" via package "ksb::Phases" at ./kdesrc/kdesrc-build/kdesrc-build line 5049.

Reproducible: Always

Steps to Reproduce:
1. git clone git://anongit.kde.org/kdesrc-build
2. make a config file: ~/.kdesrc-buildrc
3. run kdesrc-build

Actual Results:  
tom@paqron:~$ ./kdesrc/kdesrc-build/kdesrc-build
Encountered an error in the execution of the script.
The error reported was Can't locate object method "setPhases" via package "ksb::Phases" at ./kdesrc/kdesrc-build/kdesrc-build line 5049.

Please submit a bug against kdesrc-build on http://bugs.kde.org/
tom@paqron:~$
Comment 1 david ross 2011-03-09 20:09:03 UTC
I can confirm this bug

works as expected if a module name is passed in

appears to work okay if setPhases in line 5049 is replaced by phases
Comment 2 Michael Pyne 2011-03-10 05:42:33 UTC
Git commit 91b2ed65c08be1ab3688481588f390b819b89397 by Michael Pyne.
Committed on 10/03/2011 at 05:36.
Pushed by mpyne into branch 'master'.

Actually use right method name.

Sometimes I really miss static typing. This is the kind of issue that is
supposed to be caught by unit tests in dynamic languages, but the test
suite isn't close to that extensive yet.

This fixes bug 268072 (kdesrc-build without modules passed in fails).
There is a test case which simulates kdesrc-build without modules passed
in, but it doesn't simulate the entire sequence and so didn't catch this
error. My apologies.

BUG:268072

M  +9    -3    kdesrc-build     

http://commits.kde.org/kdesrc-build/91b2ed65c08be1ab3688481588f390b819b89397